package com.yem.wm.syn.eas.api.dto;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import javax.validation.Valid;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@ApiModel
public class BillTypeAddNewDTO implements Serializable {
    @ApiParam(value = "单据编号", required = true)
    private String number;

    @ApiParam(value = "单据ID", required = true)
    private String easId;

    @Valid
    @ApiParam(value = "明细信息", required = true)
    private List<AccessoryAddNewDTO> list;

    @ApiParam(value = "创建人", required = true)
    private String creator;

    @ApiParam(value = "审核人", required = true)
    private String auditor;

    @ApiParam(value = "创建时间", required = true)
    private Date createtime;

    @ApiParam(value = "审核日期", required = true)
    private Date auditdate;

    @ApiParam(value = "业务日期", required = true)
    private Date bizdate;

    @ApiParam(value = "询价单编码", required = true)
    private String inquiryNum;
    @ApiParam(value = "组织编码", required = true)
    private String org;

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public List<AccessoryAddNewDTO> getList() {
        return list;
    }

    public void setList(List<AccessoryAddNewDTO> list) {
        this.list = list;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getAuditdate() {
        return auditdate;
    }

    public void setAuditdate(Date auditdate) {
        this.auditdate = auditdate;
    }

    public String getEasId() {
        return easId;
    }

    public void setEasId(String easId) {
        this.easId = easId;
    }

    public String getInquiryNum() {
        return inquiryNum;
    }

    public void setInquiryNum(String inquiryNum) {
        this.inquiryNum = inquiryNum;
    }

    public String getOrg() {
        return org;
    }

    public void setOrg(String org) {
        this.org = org;
    }

    public Date getBizdate() {
        return bizdate;
    }

    public void setBizdate(Date bizdate) {
        this.bizdate = bizdate;
    }

    @Override
    public String toString() {
        return "BillTypeAddNewDTO{" +
                "number='" + number + '\'' +
                ", easId='" + easId + '\'' +
                ", list=" + list +
                ", creator='" + creator + '\'' +
                ", auditor='" + auditor + '\'' +
                ", createtime=" + createtime +
                ", auditdate=" + auditdate +
                ", bizdate=" + bizdate +
                ", inquiryNum='" + inquiryNum + '\'' +
                ", org='" + org + '\'' +
                '}';
    }
}
